> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unstake Asset

> Unstake an asset from your staking wallet. This operation requires an API key with `Withdraw funds` permission.



## OpenAPI

````yaml Crypto post /unstakeAsset
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /unstakeAsset:
    post:
      tags:
        - private
      summary: Unstake Asset
      description: >-
        Unstake an asset from your staking wallet. This operation requires an
        API key with `Withdraw funds` permission.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-51296282'
                asset:
                  type: string
                  description: >-
                    (Required) Asset to unstake (asset ID or `altname`). Must be
                    a valid staking asset (e.g. `XBT.M`, `XTZ.S`, `ADA.S`)
                  example: XBT.M
                amount:
                  type: string
                  description: (Required) Amount of the asset to stake
                  example: Duis consequat
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  refid: BOG5AE5-KSCNR4-VPNPEV
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````